[arch-commits] Commit in xulrunner/repos/extra-i686 (5 files)

Jan de Groot jgc at archlinux.org
Fri Jul 3 18:12:34 UTC 2009


    Date: Friday, July 3, 2009 @ 14:12:34
  Author: jgc
Revision: 44709

build for i686

Modified:
  xulrunner/repos/extra-i686/PKGBUILD
  xulrunner/repos/extra-i686/mozconfig
  xulrunner/repos/extra-i686/mozilla-pkgconfig.patch
Deleted:
  xulrunner/repos/extra-i686/bzXXX_pc_honour_system_nspr_nss.patch
  xulrunner/repos/extra-i686/gcc-4.4.patch

---------------------------------------+
 PKGBUILD                              |   43 +++--------
 bzXXX_pc_honour_system_nspr_nss.patch |  114 -----------------------------
 gcc-4.4.patch                         |   11 --
 mozconfig                             |    3 
 mozilla-pkgconfig.patch               |  122 +++++++++++++++++++-------------
 5 files changed, 88 insertions(+), 205 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-03 18:12:20 UTC (rev 44708)
+++ PKGBUILD	2009-07-03 18:12:34 UTC (rev 44709)
@@ -2,14 +2,14 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xulrunner
-pkgver=1.9.0.11
-_ffoxver=3.0.11
+pkgver=1.9.1
+_ffoxver=3.5
 pkgrel=1
 pkgdesc="Mozilla Runtime Environment"
 arch=(i686 x86_64)
 license=('MPL' 'GPL' 'LGPL')
-depends=('gtk2>=2.16.2' 'gcc-libs>=4.4.0' 'libidl2>=0.8.13' 'mozilla-common' 'nss>=3.12.3' 'nspr>=4.8' 'libxt' 'lcms' 'hunspell>=1.2.8' 'startup-notification>=0.10' 'mime-types')
-makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.24.1' 'python')
+depends=('gtk2>=2.16.2' 'gcc-libs>=4.4.0' 'libidl2>=0.8.13' 'mozilla-common' 'nss>=3.12.3' 'nspr>=4.8' 'libxt' 'hunspell>=1.2.8' 'startup-notification>=0.10' 'mime-types')
+makedepends=('zip' 'pkgconfig' 'diffutils' 'python' 'libgnomeui')
 optdepends=('libgnomeui')
 provides=(gecko-sdk)
 replaces=(gecko-sdk)
@@ -17,24 +17,20 @@
 source=(http://releases.mozilla.org/pub/mozilla.org/firefox/releases/${_ffoxver}/source/firefox-${_ffoxver}-source.tar.bz2
         mozconfig
       	100-system-hunspell-corrections.patch
-        bzXXX_pc_honour_system_nspr_nss.patch
         mozilla-pkgconfig.patch
         fix-mozilla-launcher.patch
         mozilla-ps-pdf-simplify-operators.patch
-        nsThreadUtils.patch
-        gcc-4.4.patch)
-md5sums=('b509f7c05e9566ed290e2c098316c7c3'
-         '6509d12e6b17bfc51c09e1dc35259035'
+        nsThreadUtils.patch)
+md5sums=('6dd59399db08963ef022a1d0e5010053'
+         'ed5045e94a7ef2a2c7d0c8c54581cd63'
          '5efd6772ed0ecf8eddec5d5650191d3c'
-         '7a5151f90cb360bc1ea911e5cf7208e9'
-         'dfbfb4e35912112668ac66dae0783686'
+         'd806ffcd9fa8d178ebfa9057c1221fbf'
          '63eee2d1da3b43c9d604f2253f242f40'
          '13dca58c04e62a8916691c63c5c492a0'
-         'ccc3a0672c783c043434f256fbd38c86'
-         'b465a9c538402d16c0b811ef81953d35')
+         'ccc3a0672c783c043434f256fbd38c86')
 
 build() {
-  cd "${srcdir}/mozilla"
+  cd "${srcdir}/mozilla-${pkgver}"
   cp "${srcdir}/mozconfig" .mozconfig
 
   #Upstream patch. Still not applied to 1.9.0.1
@@ -43,9 +39,6 @@
   #fix build with system hunspell - gentoo
   patch -Np0 -i "${srcdir}/100-system-hunspell-corrections.patch" || return 1
 
-  #fix pkgconfig files when building with system nss/nspr - ubuntu
-  patch -Np1 -i "${srcdir}/bzXXX_pc_honour_system_nspr_nss.patch" || return 1
-
   #fix libdir/sdkdir - fedora - with local modifications
   patch -Np1 -i "${srcdir}/mozilla-pkgconfig.patch" || return 1
 
@@ -55,22 +48,10 @@
   #Fix epiphany crashes - requires epiphany rebuild
   patch -Np1 -i "${srcdir}/nsThreadUtils.patch" || return 1
 
-  patch -Np1 -i "${srcdir}/gcc-4.4.patch" || return 1
-
   unset CFLAGS
   unset CXXFLAGS
-  export LDFLAGS="-Wl,-rpath,/usr/lib/xulrunner-1.9"
+  export LDFLAGS="-Wl,-rpath,/usr/lib/xulrunner-1.9.1"
 
   make -j1 -f client.mk build MOZ_MAKE_FLAGS="$MAKEFLAGS" || return 1
-  make -j1 DESTDIR=${startdir}/pkg install || return 1
-
-  ln -sf xulrunner-${pkgver} "${pkgdir}/usr/lib/xulrunner-1.9"
-  ln -sf xulrunner-devel-${pkgver} "${pkgdir}/usr/lib/xulrunner-devel-1.9"
-  ln -sf xulrunner-${pkgver} "${pkgdir}/usr/include/xulrunner-1.9"
-  ln -sf xulrunner-${pkgver} "${pkgdir}/usr/share/idl/xulrunner-1.9"
-
-  # The ubuntu patch adds these... get rid of it, NSS/NSPR has it.
-  rm -f ${pkgdir}/usr/lib/pkgconfig/mozilla-ns{s,pr}.pc || return 1
-
-  sed -i -e "s/xulrunner-${pkgver}/xulrunner-1.9/g" -e "s/xulrunner-devel-${pkgver}/xulrunner-devel-1.9/g" ${pkgdir}/usr/lib/pkgconfig/*.pc || return 1
+  make -j1 DESTDIR="${pkgdir}" install || return 1
 }

Deleted: bzXXX_pc_honour_system_nspr_nss.patch
===================================================================
--- bzXXX_pc_honour_system_nspr_nss.patch	2009-07-03 18:12:20 UTC (rev 44708)
+++ bzXXX_pc_honour_system_nspr_nss.patch	2009-07-03 18:12:34 UTC (rev 44709)
@@ -1,114 +0,0 @@
----
- xulrunner/installer/Makefile.in                     |   17 ++++++++++++++---
- xulrunner/installer/libxul-embedding-unstable.pc.in |    2 +-
- xulrunner/installer/libxul-embedding.pc.in          |    2 +-
- xulrunner/installer/mozilla-nss.pc.in               |    6 +++---
- 4 files changed, 19 insertions(+), 8 deletions(-)
-
-Index: mozilla/xulrunner/installer/Makefile.in
-===================================================================
---- mozilla.orig/xulrunner/installer/Makefile.in
-+++ mozilla/xulrunner/installer/Makefile.in
-@@ -90,40 +90,51 @@
- 	mozilla-plugin.pc \
- 	mozilla-gtkmozembed.pc \
- 	mozilla-gtkmozembed-embedding.pc \
- 	$(NULL)
- 
- ifdef MOZ_NATIVE_NSPR
- NSPR_NAME=nspr
- NSPR_VERSION=$(shell $(NSPR_CONFIG) --version)
-+FULL_NSPR_CFLAGS=$(shell $(NSPR_CONFIG) --cflags)
-+FULL_NSPR_LIBS=$(shell $(NSPR_CONFIG) --libs)
- else
--pkg_config_files += mozilla-nspr.pc
- NSPR_NAME=mozilla-nspr
- FULL_NSPR_CFLAGS=-I\$${includedir}/stable
- FULL_NSPR_LIBS=$(subst $(prefix),\$${sdkdir},$(shell $(DEPTH)/nsprpub/config/nspr-config --libs))
- NSPR_VERSION=$(shell $(DEPTH)/nsprpub/config/nspr-config --version)
- endif
-+pkg_config_files += mozilla-nspr.pc
- 
- $(warning FULL_NSPR_CFLAGS=$(FULL_NSPR_CFLAGS))
- 
--ifndef MOZ_NATIVE_NSS
--pkg_config_files += mozilla-nss.pc
-+ifdef MOZ_NATIVE_NSS
-+NSS_VERSION=$(shell $(NSS_CONFIG) --version)
-+FULL_NSS_CFLAGS=$(shell $(NSS_CONFIG) --cflags)
-+FULL_NSS_LIBS=$(shell $(NSS_CONFIG) --libs)
-+else
-+NSS_VERSION=$(shell $(DEPTH)/nsprpub/config/nss-config --version)
-+FULL_NSS_CFLAGS=-I\$${includedir}/stable
-+FULL_NSS_LIBS=$(subst $(prefix),\$${sdkdir},$(shell $(DEPTH)/nsprpub/config/nss-config --libs))
- endif
-+pkg_config_files += mozilla-nss.pc
- 
- %.pc: $(srcdir)/%.pc.in Makefile.in Makefile $(DEPTH)/config/autoconf.mk
- 	cat $< | sed \
- 	-e "s|%prefix%|$(prefix)|" \
- 	-e "s|%includedir%|$(includedir)|" \
- 	-e "s|%idldir%|$(idldir)|" \
- 	-e "s|%sdkdir%|$(sdkdir)|" \
- 	-e "s|%MOZ_APP_NAME%|$(MOZ_APP_NAME)|" \
- 	-e "s|%MOZILLA_VERSION%|$(MOZ_APP_VERSION)|" \
- 	-e "s|%FULL_NSPR_LIBS%|$(FULL_NSPR_LIBS)|" \
- 	-e "s|%FULL_NSPR_CFLAGS%|$(FULL_NSPR_CFLAGS)|" \
-+	-e "s|%FULL_NSS_LIBS%|$(FULL_NSS_LIBS)|" \
-+	-e "s|%FULL_NSS_CFLAGS%|$(FULL_NSS_CFLAGS)|" \
- 	-e "s|%NSPR_NAME%|$(NSPR_NAME)|" \
- 	-e "s|%NSPR_VERSION%|$(NSPR_VERSION)|" > $@
- 	chmod 644 $@
- 
- install:: $(pkg_config_files)
- 	@echo pkg_config_file: $(pkg_config_files)
- 	$(SYSINSTALL) $(IFLAGS1) $^ $(DESTDIR)$(libdir)/pkgconfig
- 
-Index: mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in
-===================================================================
---- mozilla.orig/xulrunner/installer/libxul-embedding-unstable.pc.in
-+++ mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in
-@@ -3,9 +3,9 @@
- includedir=%includedir%
- idldir=%idldir%
- includetype=unstable
- 
- Name: libxul-embedding-unstable
- Description: Static library for version-independent embedding of the Mozilla runtime (unstable API)
- Version: %MOZILLA_VERSION%
- Libs: -L${sdkdir}/lib -lxpcomglue
--Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} -fshort-wchar
-+Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} -fshort-wchar %FULL_NSPR_CFLAGS%
-Index: mozilla/xulrunner/installer/libxul-embedding.pc.in
-===================================================================
---- mozilla.orig/xulrunner/installer/libxul-embedding.pc.in
-+++ mozilla/xulrunner/installer/libxul-embedding.pc.in
-@@ -7,9 +7,9 @@
- # Note: the default pkg-config cflags will only list include directories
- # that contain stable (frozen or safe for linking) header files. To include
- # nonfrozen headers, run pkg-config with --define-variable=includetype=unstable
- 
- Name: libxul-embedding
- Description: Static library for version-independent embedding of the Mozilla runtime
- Version: %MOZILLA_VERSION%
- Libs: -L${sdkdir}/lib -lxpcomglue
--Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} -fshort-wchar
-+Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} -fshort-wchar %FULL_NSPR_CFLAGS%
-Index: mozilla/xulrunner/installer/mozilla-nss.pc.in
-===================================================================
---- mozilla.orig/xulrunner/installer/mozilla-nss.pc.in
-+++ mozilla/xulrunner/installer/mozilla-nss.pc.in
-@@ -1,10 +1,10 @@
- prefix=%prefix%
- sdkdir=%sdkdir%
- includedir=%includedir%
- 
- Name: NSS
- Description: Mozilla Network Security Services
--Version: %MOZILLA_VERSION%
-+Version: %NSS_VERSION%
- Requires: %NSPR_NAME% >= %NSPR_VERSION%
--Libs: -L${sdkdir}/lib -lnss3 -lnssutil3 -lsmime3 -lssl3 -lsoftokn3
--Cflags: -I${includedir}/stable
-+Libs: %FULL_NSS_LIBS%
-+Cflags: %FULL_NSS_CFLAGS%

Deleted: gcc-4.4.patch
===================================================================
--- gcc-4.4.patch	2009-07-03 18:12:20 UTC (rev 44708)
+++ gcc-4.4.patch	2009-07-03 18:12:34 UTC (rev 44709)
@@ -1,11 +0,0 @@
---- mozilla/toolkit/xre/nsAppRunner.cpp~	2009-06-13 16:08:42.713900109 +0200
-+++ mozilla/toolkit/xre/nsAppRunner.cpp	2009-06-13 16:08:54.323733378 +0200
-@@ -1459,7 +1459,7 @@
-   if (NS_FAILED(rv))
-     return rv;
- 
--#elif
-+#else
- #error Oops, you need platform-specific code here
- #endif
- 

Modified: mozconfig
===================================================================
--- mozconfig	2009-07-03 18:12:20 UTC (rev 44708)
+++ mozconfig	2009-07-03 18:12:34 UTC (rev 44709)
@@ -7,7 +7,8 @@
 ac_add_options --with-system-zlib
 ac_add_options --with-system-bz2
 ac_add_options --with-system-png
-ac_add_options --enable-system-lcms
+#disabled: mozilla forked their own version of lcms.
+#ac_add_options --enable-system-lcms
 ac_add_options --enable-system-hunspell
 ac_add_options --enable-system-sqlite
 ac_add_options --enable-system-cairo

Modified: mozilla-pkgconfig.patch
===================================================================
--- mozilla-pkgconfig.patch	2009-07-03 18:12:20 UTC (rev 44708)
+++ mozilla-pkgconfig.patch	2009-07-03 18:12:34 UTC (rev 44709)
@@ -1,6 +1,34 @@
-diff -ruN mozilla/xulrunner/installer/libxul-embedding.pc.in mozilla/xulrunner/installer/libxul-embedding.pc.in
---- mozilla/xulrunner/installer/libxul-embedding.pc.in	2008-07-16 20:27:31.000000000 +0200
-+++ mozilla/xulrunner/installer/libxul-embedding.pc.in	2008-07-16 21:43:47.000000000 +0200
+diff -r f1af606531f5 xulrunner/installer/Makefile.in
+--- a/xulrunner/installer/Makefile.in	Sat Nov 22 20:22:22 2008 +0100
++++ b/xulrunner/installer/Makefile.in	Mon Dec 01 22:30:12 2008 -0500
+@@ -116,6 +118,7 @@
+ 	-e "s|%includedir%|$(includedir)|" \
+ 	-e "s|%idldir%|$(idldir)|" \
+ 	-e "s|%sdkdir%|$(sdkdir)|" \
++	-e "s|%libdir%|$(installdir)|" \
+ 	-e "s|%MOZ_APP_NAME%|$(MOZ_APP_NAME)|" \
+ 	-e "s|%MOZILLA_VERSION%|$(MOZ_APP_VERSION)|" \
+ 	-e "s|%WCHAR_CFLAGS%|$(WCHAR_CFLAGS)|" \
+diff -r f1af606531f5 xulrunner/installer/libxul-embedding-unstable.pc.in
+--- a/xulrunner/installer/libxul-embedding-unstable.pc.in	Sat Nov 22 20:22:22 2008 +0100
++++ b/xulrunner/installer/libxul-embedding-unstable.pc.in	Mon Dec 01 22:30:12 2008 -0500
+@@ -1,11 +1,12 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
+ includedir=%includedir%
+-idldir=%idldir%
++idldir=%idldir%/unstable
+ includetype=unstable
+ 
+ Name: libxul-embedding-unstable
+ Description: Static library for version-independent embedding of the Mozilla runtime (unstable API)
+ Version: %MOZILLA_VERSION%
++Requires: %NSPR_NAME% >= %NSPR_VERSION%
+ Libs: -L${sdkdir}/lib -lxpcomglue
+ Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} %WCHAR_CFLAGS%
+diff -r f1af606531f5 xulrunner/installer/libxul-embedding.pc.in
+--- a/xulrunner/installer/libxul-embedding.pc.in	Sat Nov 22 20:22:22 2008 +0100
++++ b/xulrunner/installer/libxul-embedding.pc.in	Mon Dec 01 22:30:12 2008 -0500
 @@ -1,7 +1,7 @@
  prefix=%prefix%
  sdkdir=%sdkdir%
@@ -10,21 +38,30 @@
  includetype=stable
  
  # Note: the default pkg-config cflags will only list include directories
-diff -ruN mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in
---- mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in	2008-07-16 20:27:31.000000000 +0200
-+++ mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in	2008-07-16 21:44:06.000000000 +0200
-@@ -1,7 +1,7 @@
+@@ -11,5 +11,6 @@
+ Name: libxul-embedding
+ Description: Static library for version-independent embedding of the Mozilla runtime
+ Version: %MOZILLA_VERSION%
+-Libs: -L${sdkdir}/lib -lxpcomglue
++Requires: %NSPR_NAME% >= %NSPR_VERSION%
++Libs: -L${sdkdir}/lib -lxpcomglue
+ Cflags: -DXPCOM_GLUE -I${includedir}/${includetype} %WCHAR_CFLAGS%
+diff -r f1af606531f5 xulrunner/installer/libxul-unstable.pc.in
+--- a/xulrunner/installer/libxul-unstable.pc.in	Sat Nov 22 20:22:22 2008 +0100
++++ b/xulrunner/installer/libxul-unstable.pc.in	Mon Dec 01 22:30:12 2008 -0500
+@@ -1,7 +1,8 @@
  prefix=%prefix%
  sdkdir=%sdkdir%
++libdir=%libdir%
  includedir=%includedir%
 -idldir=%idldir%
 +idldir=%idldir%/unstable
  includetype=unstable
  
- Name: libxul-embedding-unstable
-diff -ruN mozilla/xulrunner/installer/libxul.pc.in mozilla/xulrunner/installer/libxul.pc.in
---- mozilla/xulrunner/installer/libxul.pc.in	2007-08-03 16:46:28.000000000 +0200
-+++ mozilla/xulrunner/installer/libxul.pc.in	2008-07-16 21:44:33.000000000 +0200
+ Name: libxul
+diff -r f1af606531f5 xulrunner/installer/libxul.pc.in
+--- a/xulrunner/installer/libxul.pc.in	Sat Nov 22 20:22:22 2008 +0100
++++ b/xulrunner/installer/libxul.pc.in	Mon Dec 01 22:30:12 2008 -0500
 @@ -1,7 +1,8 @@
  prefix=%prefix%
  sdkdir=%sdkdir%
@@ -35,40 +72,9 @@
  includetype=stable
  
  # Note: the default pkg-config includes will only list include directories
-@@ -13,4 +14,4 @@
- Version: %MOZILLA_VERSION%
- Requires: %NSPR_NAME% >= %NSPR_VERSION%
- Libs: -L${sdkdir}/lib -lxpcomglue_s -lxul -lxpcom
--Cflags: -I${includedir}/${includetype} -fshort-wchar
-\ No newline at end of file
-+Cflags: -I${includedir}/${includetype} -fshort-wchar
-diff -ruN mozilla/xulrunner/installer/libxul-unstable.pc.in mozilla/xulrunner/installer/libxul-unstable.pc.in
---- mozilla/xulrunner/installer/libxul-unstable.pc.in	2008-01-05 07:50:34.000000000 +0100
-+++ mozilla/xulrunner/installer/libxul-unstable.pc.in	2008-07-16 21:45:11.000000000 +0200
-@@ -1,7 +1,8 @@
- prefix=%prefix%
- sdkdir=%sdkdir%
-+libdir=%libdir%
- includedir=%includedir%
--idldir=%idldir%
-+idldir=%idldir%/unstable
- includetype=unstable
- 
- Name: libxul
-diff -ruN mozilla/xulrunner/installer/Makefile.in mozilla/xulrunner/installer/Makefile.in
---- mozilla/xulrunner/installer/Makefile.in	2008-07-16 20:27:31.000000000 +0200
-+++ mozilla/xulrunner/installer/Makefile.in	2008-07-16 21:45:51.000000000 +0200
-@@ -125,6 +125,7 @@
- 	-e "s|%includedir%|$(includedir)|" \
- 	-e "s|%idldir%|$(idldir)|" \
- 	-e "s|%sdkdir%|$(sdkdir)|" \
-+	-e "s|%libdir%|$(installdir)|" \
- 	-e "s|%MOZ_APP_NAME%|$(MOZ_APP_NAME)|" \
- 	-e "s|%MOZILLA_VERSION%|$(MOZ_APP_VERSION)|" \
- 	-e "s|%FULL_NSPR_LIBS%|$(FULL_NSPR_LIBS)|" \
-diff -ruN mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in
---- mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in	2008-01-10 10:17:49.000000000 +0100
-+++ mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in	2008-07-16 21:46:14.000000000 +0200
+diff -r f1af606531f5 xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in
+--- a/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in	Sat Nov 22 20:22:22 2008 +0100
++++ b/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in	Mon Dec 01 22:30:12 2008 -0500
 @@ -1,5 +1,6 @@
  prefix=%prefix%
  sdkdir=%sdkdir%
@@ -76,9 +82,9 @@
  includedir=%includedir%
  
  Name: mozilla-gtkembedmoz
-diff -ruN mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in
---- mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in	2008-01-10 10:17:49.000000000 +0100
-+++ mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in	2008-07-16 21:46:28.000000000 +0200
+diff -r f1af606531f5 xulrunner/installer/mozilla-gtkmozembed.pc.in
+--- a/xulrunner/installer/mozilla-gtkmozembed.pc.in	Sat Nov 22 20:22:22 2008 +0100
++++ b/xulrunner/installer/mozilla-gtkmozembed.pc.in	Mon Dec 01 22:30:12 2008 -0500
 @@ -1,5 +1,6 @@
  prefix=%prefix%
  sdkdir=%sdkdir%
@@ -86,3 +92,23 @@
  includedir=%includedir%
  
  Name: mozilla-gtkembedmoz
+diff -r f1af606531f5 xulrunner/installer/mozilla-js.pc.in
+--- a/xulrunner/installer/mozilla-js.pc.in	Sat Nov 22 20:22:22 2008 +0100
++++ b/xulrunner/installer/mozilla-js.pc.in	Mon Dec 01 22:30:12 2008 -0500
+@@ -6,5 +6,5 @@
+ Description: The Mozilla JavaScript Library
+ Version: %MOZILLA_VERSION%
+ Requires: %NSPR_NAME% >= %NSPR_VERSION%
+-Libs: -L${sdkdir}/lib -lmozjs
+-Cflags: -I${includedir}/stable -DXP_UNIX -DJS_THREADSAFE
++Libs: -L${sdkdir}/lib -lmozjs
++Cflags: -I${includedir}/stable -I${includedir}/js -DXP_UNIX -DJS_THREADSAFE
+diff -r f1af606531f5 xulrunner/installer/mozilla-plugin.pc.in
+--- a/xulrunner/installer/mozilla-plugin.pc.in	Sat Nov 22 20:22:22 2008 +0100
++++ b/xulrunner/installer/mozilla-plugin.pc.in	Mon Dec 01 22:30:12 2008 -0500
+@@ -6,4 +6,4 @@
+ Description: Mozilla Plug-In API
+ Version: %MOZILLA_VERSION%
+ Requires: %NSPR_NAME% >= %NSPR_VERSION%
+-Cflags: -I${includedir}/stable -DXP_UNIX %ojidef%
++Cflags: -I${includedir}/stable -DXP_UNIX %ojidef% -I${includedir}/java -I${includedir}/plugin




More information about the arch-commits mailing list